%def_enable lirc
%def_with dbus
%def_without xinerama
%def_with browser_plugin
%define jstype moz

Name: gxine
Summary: Mediaplayer - GTK-based GUI for xine libraries
Summary(uk_UA.CP1251):  - GTK+ GUI   xine
Summary(ru_RU.CP1251):  - GTK+ GUI   xine
Version: 0.5.11
Release: alt1
Copyright: GPL
Group: Video
URL: http://xinehq.de
Source: http://prdownloads.sourceforge.net/xine/%name-%version.tar.bz2
Requires: browser-plugins-npapi

# Automatically added by buildreq on Mon Oct 09 2006
#BuildRequires: imake libgtk+2-devel liblirc-devel libXaw-devel libxine-devel libXinerama-devel libXrandr-devel libXtst-devel linux-libc-headers seamonkey-devel xorg-cf-files zlib-devel

BuildRequires: fontconfig libgtk+2-devel libxine-devel zlib-devel
BuildRequires: libXtst-devel libXaw-devel libXrandr-devel xorg-cf-files

%{?_enable_lirc:BuildRequires: liblirc-devel}
%{?_with_dbus:BuildRequires: libdbus-glib-devel}
%{?_with_xinerama:BuildRequires: libXinerama-devel}
%{?_with_browser_plugin:BuildRequires: browser-plugins-npapi-devel}
%ifndef jstype
%define jstype moz
%endif
%if %jstype == moz
BuildRequires: seamonkey-devel
%endif
%if %jstype == ff
BuildRequires: firefox-devel
%endif
%if %jstype == lib
BuildRequires: libjs-devel
%endif

%description
%name is a GTK+ based GUI for the libxine video player library.
It provides %name, a  media player that can play all the audio/video
formats that libxine supports. Currently, this includes MPEG1/2, some
AVI and Quicktime files, some network streaming methods and disc based
media (VCD, SVCD, DVD).

%description -l uk_UA.CP1251
%name - GTK+ GUI    libxine.
³  %name - -   / ,
  libxine.     MPEG1/2,   AVI 
Quicktime,        (VCD, SVCD,
DVD).

%description -l ru_RU.CP1251
%name - GTK+ GUI    libxine.
  %name - -  
/ ,  libxine.    
MPEG1/2,   AVI  Quicktime,   
    (VCD, SVCD, DVD).


%package -n mozilla-plugin-%name
Summary: gxine browser plugin
Group: Video
Requires: %name = %version-%release

%description -n mozilla-plugin-%name
Browser plugin for mozilla and other browsers using the same plugin
infrastructure.

%description -n mozilla-plugin-%name -l uk_UA.CP1251
  mozilla       
.

%description -n mozilla-plugin-%name -l ru_RU.CP1251
  mozilla       
.


%prep
%setup -q


%build
%configure --disable-rpath --with-pic \
    --enable-defeat-screensaver-via-xtest \
    %{subst_enable lirc} \
    --disable-libjs --disable-mozjs --disable-ffjs \
    --enable-%{jstype}js \
    %{subst_with dbus} \
    %{subst_with xinerama} \
    --disable-integration-wizard \
    --disable-deprecated \
    --with%{?_without_brouser_plugin:out}-browser-plugin

%make_build


%install
%make DESTDIR=%buildroot install
%if_with browser_plugin
install -d %buildroot%browser_plugins_path
mv %buildroot%_libdir/%name/%{name}plugin.* %buildroot%browser_plugins_path/
%endif
bzip2 --keep --best --force -- ChangeLog

#menu
install -d %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 >> %buildroot%_desktopdir/%name.desktop <<__MENU__
GenericName[uk]= 
GenericName[ru]= 
Comment[uk]=   ,    
Comment[ru]=   ,    
__MENU__

%find_lang --with-man %name
%find_lang --with-man --append --output=%name.lang %name.theme
%find_lang --with-man --append --output=%name.lang %{name}_client


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README TODO doc/Keybindings-HOWTO
%_sysconfdir/%name
%_bindir/*
%_man1dir/*
%_datadir/%name
%_pixmapsdir/*
%_iconsdir/hicolor/*/apps/*
%_desktopdir/*


%if_with browser_plugin
%files -n mozilla-plugin-%name
%browser_plugins_path/*
%endif


%changelog
* Fri Feb 02 2007 Led <led@altlinux.ru> 0.5.11-alt1
- 0.5.11: bugfix release

* Tue Jan 09 2007 Led <led@altlinux.ru> 0.5.10-alt1
- 0.5.10: SECURITY FIX (local exploit)

* Mon Dec 18 2006 Led <led@altlinux.ru> 0.5.9-alt1
- 0.5.9:
  + prevent screen blanking in windowed mode
  + show time remaining
  + some minor fixes

* Mon Oct 09 2006 Led <led@altlinux.ru> 0.5.8-alt1
- 0.5.8
- removed gxine-0.5.7-uk.patch
- fixed BuildRequires

* Mon Jul 24 2006 Led <led@altlinux.ru> 0.5.7-alt3
- fixed %%files
- cleaned up spec
- fixed BuildRequires

* Tue Jul 11 2006 Led <led@altlinux.ru> 0.5.7-alt2
- fixed ukrainian translation (gxine-0.5.7-uk.patch)
- cleaned up spec

* Fri Jul 07 2006 Led <led@altlinux.ru> 0.5.7-alt1
- 0.5.7
- fixed spec
- enable dbus support (for screansavers)
- cleaned up BuildRequires and Requres

* Wed May 03 2006 Led <led@altlinux.ru> 0.5.6-alt1
- 0.5.6
- cleanup spec
- removed %name-0.5.5-i18n.patch and uk.po because they in upstream now
- fixed spec

* Tue Mar 21 2006 Led <led@altlinux.ru> 0.5.5-alt3
- fix %name.desktop

* Tue Mar 14 2006 Led <led@altlinux.ru> 0.5.5-alt2
- added %name-0.5.5-i18n.patch
- added uk.po
- removed redundant BuildRequires
- fix spec

* Fri Mar 10 2006 Led <led@altlinux.ru> 0.5.5-alt1
- 0.5.5
- updated %name-0.5.5-wizards.patch
- disabled %name-0.5.5-wizards.patch, used --disable-integration-wizard instead
- fix spec

* Mon Jan 30 2006 Led <led@altlinux.ru> 0.4.9-alt4
- fix %%doc
- fix spec

* Mon Jan 23 2006 Led <led@altlinux.ru> 0.4.9-alt3
- fix spec
- fix %name.desktop
- uk and ru Summary and description
- added patch for wizards

* Thu Dec 22 2005 Led <led@altlinux.ru> 0.4.9-alt2
- fix menu

* Mon Nov 28 2005 Led <led@altlinux.ru> 0.4.9-alt1
- initial build
